import { Position } from './types';
export declare type Scale = ReturnType<typeof invertScale>;
export declare function invertScale(rectA: Position, rectB: Position, matrix?: number[]): {
    scaleX: number;
    scaleY: number;
};
export declare function invertXY(rectA: Position, rectB: Position, matrix?: number[]): {
    translateX: number;
    translateY: number;
};
export declare function debounce<F extends (...args: any[]) => any>(cb: F, wait: number): (...args: Parameters<F>) => void;
